# Getting Blobs

Blobs are the raw data payloads your applications submit and store on-chain.

Typically, each user account is represented by a *blober*, and each *blober’s* associated data are its *blobs*. However, a *blober* may map to a user account, a node account, or another logical entity—the semantics may vary and is determined by each network’s operators.

<table><thead><tr><th width="227.427734375">RPC Call</th><th>Description</th></tr></thead><tbody><tr><td><a href="https://docs.termina.technology/documentation/network-extension-stack/modules/data-anchor/indexing-data/getting-blobs/get_blobs_by_network"><code>get_blobs_by_network</code></a></td><td>Retrieves all blobs across an entire network (e.g. Cloud Network).</td></tr><tr><td><a href="https://docs.termina.technology/documentation/network-extension-stack/modules/data-anchor/indexing-data/getting-blobs/get_blobs_by_namespace"><code>get_blobs_by_namespace</code></a></td><td>Retrieves all blobs tagged under a particular namespace (e.g. <code>home.alice.cloud</code>).</td></tr><tr><td><a href="https://docs.termina.technology/documentation/network-extension-stack/modules/data-anchor/indexing-data/getting-blobs/get_blobs_by_blober"><code>get_blobs_by_blober</code></a></td><td>Lists blobs uploaded by a specific blober program between two timestamps.</td></tr><tr><td><a href="https://docs.termina.technology/documentation/network-extension-stack/modules/data-anchor/indexing-data/getting-blobs/get_blobs_by_payer"><code>get_blobs_by_payer</code></a></td><td>Lists blobs funded by a given payer account over a time range.</td></tr><tr><td><a href="https://docs.termina.technology/documentation/network-extension-stack/modules/data-anchor/indexing-data/getting-blobs/get_blobs"><code>get_blobs</code></a></td><td>Fetches every blob (byte-array) stored in a single slot.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.termina.technology/documentation/open-source-contributions/modules/data-anchor/indexing-data/getting-blobs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
